#include <allegro.h>
#include <stdio.h>

int main()
{
	allegro_init();
	PACKFILE *f = pack_fopen("datafile.dat#file", "rp");
	if(!f)
	{
		allegro_message("Unable to open file");
		return -1;
	}

	int value = pack_igetl(f);
	if(value == EOF)
	{
		allegro_message("Unable to read from file");
		pack_fclose(f);
		return -1;
	}

	printf("Expected: 123\nGot: %d\n", value);

	pack_fclose(f);
	return 0;
}
END_OF_MAIN();
